@echo off
cls

call "%~dp0clean"

set TOOLS=%~dp0tools
call "%TOOLS%\map"

md release >NUL 2>NUL
md release\install >NUL 2>NUL
md release\install\bin >NUL 2>NUL
md release\install\bin-x64 >NUL 2>NUL

call :build_native_x86 tctemp w2k 0 W2K
call :build_native_x86 tctemp w2k 1 W2K
call :build_native_x86 tctemp wxp 0 WXP
call :build_native_x86 tctemp wxp 1 WXP
call :build_native_x64 tctemp wnet 0 WNET
call :build_native_x64 tctemp wnet 1 WNET

call :build image image r win32 exe release\install\bin
call :build misc misc r win32 exe release\install\bin
call :build misc misc r x64 exe release\install\bin-x64
call :build setup "TCTEMP Setup" r win32 exe release\install\bin
call :build setup "TCTEMP Setup" r x64 exe release\install\bin-x64

call "%TOOLS%\map" /d

goto :eof

:build_native_x86
set EXT=fre
if "%3" equ "1" set EXT=dbg
echo.Compiling %~1 (%2 x86 %EXT%)...
call "%TOOLS%\build_ddk" %1 %EXT%_%4 %3 fre %4
copy src\%1\app\obj%EXT%_%4\i386\%1.exe release\install\bin\%1-%2-%EXT%.bin >NUL 2>NUL
goto :eof

:build_native_x64
set EXT=fre
if "%3" equ "1" set EXT=dbg
echo.Compiling %~1 (%2 x64 %EXT%)...
call "%TOOLS%\build_ddk" %1 %EXT%_%4 %3 fre AMD64 %4
copy src\%1\app\obj%EXT%_%4\amd64\%1.exe release\install\bin-x64\%1-%2-%EXT%.bin >NUL 2>NUL
goto :eof

:build
echo.Compiling %~2 (%3/%4)...
call "%TOOLS%\build_vs" %3 %4 %1 %2
if "%~6" equ "" goto :eof
copy "%TARGETPATH%\%~2.%5" "%~6" >NUL 2>NUL
goto :eof
